<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('JPATH_BASE') or die();

class JElementJsbills extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'Page';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db = &JFactory::getDBO();

		$class		= $node->attributes('class');
		$default	= $node->attributes('default');

		if (!$class) {
			$class = "inputbox";
		}

		$db	= & JFactory::getDBO();

		$sql = "SELECT id, product_list FROM #__bills WHERE published = 1 ORDER BY id ";
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		$options = array();
		if(count($res) > 0)
		{
			$options[] = JHTML::_('select.option', 0, '- '.JText::_('All').' -');
			foreach ($res as $bill)
			{
				$items = unserialize($bill->product_list);
				$options[] = JHTML::_('select.option', $bill->id, $items[1]['title']);

			}
			if(count($options) > 30) $n = 30; else $n =  count($options);
			$html	= JHTML::_('select.genericlist',  $options,
            "{$control_name}[{$name}][]", ' size="'.$n.'" style="width:200px" multiple class="'.$class.'"', 'value', 'text', $value);
		}
		else
		$html = JText::_('There are no bills');


		return $html;
	}
}
?>